<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

 <xsl:template match="text()">
</xsl:template>

<!-- Traverse through the tree starting at the root element -->
<xsl:template match="root">
<xsl:copy>
<xsl:copy-of select="@*"/>
<!-- Search for the state node with the attribute type = navigational -->
<xsl:apply-templates select="state[@type='navigational']"/>
</xsl:copy>
</xsl:template>

<!-- Selection of all states which should stay coded in the URL -->
<!-- Here: portlet-mode, window-state, renderparameters (param, value, text), selection, locale -->
<xsl:template match="state">
<xsl:copy>
<xsl:copy-of select="@*"/>
<xsl:apply-templates select="portlet"/>
<xsl:apply-templates select="selection"/>
<xsl:apply-templates select="locale"/>

</xsl:copy>
</xsl:template>

<xsl:template match="portlet">
<xsl:copy>
<xsl:copy-of select="@*"/>
<xsl:apply-templates select="portlet-mode"/>
<xsl:apply-templates select="window-state"/>
<xsl:apply-templates select="parameters"/>
</xsl:copy>
</xsl:template>

<xsl:template match="portlet-mode">
<xsl:copy-of select="."/>
</xsl:template>

<xsl:template match="window-state">
<xsl:copy-of select="."/>
</xsl:template>

<xsl:template match="parameters">
<xsl:copy-of select="."/>
</xsl:template>

<xsl:template match="selection">
<xsl:copy>
<xsl:copy-of select="@*"/>
</xsl:copy>
</xsl:template>

<xsl:template match="locale">
<xsl:copy-of select="."/>
</xsl:template>

</xsl:stylesheet>

